
QGIS Application - Bug report #21098

Measure tool

2019-01-25 04:36 PM - Tim Nydam

Status: Closed

Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28916

Description

User Feedback

While measuring a line, QGIS crashes after 5 segments are measured. This is the second time this has happened, but after 5 clicks.

Report Details

Crash ID: b45bbffa79a48024f3b3f062f5925b78ccf88ac9

Stack Trace

QWidget::mapTo :

QWidgetPrivate::moveRect :

QApplication::windowIcon :

QApplication::windowIcon :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
History

#1 - 2019-01-25 06:52 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Unknown to Map Tools

Please try with a new/clean profile.

#2 - 2019-02-24 09:22 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
